<?php
/**
 * トピックス一覧XML生成デモ
 * @author Daijiro Abe
 * @date   2007.11.30
 */

require_once("define.php");
require_once("classes/Topics/TopicsDAO.php");

$dao = new TopicsDAO();
$collection = $dao->findAll();

print '<?xml version="1.0" encoding="utf-8"?>';
?>

<result>
<?php
    while($collection->hasNext())
    {
        $topic = $collection->next();
        $id = $topic->getId();
        $date = htmlentities($topic->getDate(), ENT_QUOTES, "UTF-8");
        $title = htmlentities($topic->getTitle(), ENT_QUOTES, "UTF-8");
        $desc = htmlentities($topic->getDesc(), ENT_QUOTES, "UTF-8");
?>
    <topic>
        <id><?php print $id; ?></id>
        <date><?php print $date; ?></date>
        <title><?php print $title; ?></title>
        <desc><?php print $desc; ?></desc>
    </topic>
<?php
    }
?>
</result>
